Last Comment Bug 884287 - Menu bar has too much space left on it's right side
: Menu bar has too much space left on it's right side
Status: VERIFIED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: 17 Branch
: x86_64 Windows 7
: -- normal (vote)
: Thunderbird 25.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 06:11 PDT by Michal Stanke (Mozilla.cz) [:MikkCZ]
Modified: 2013-07-29 05:58 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed


Attachments
screenshot (19.95 KB, image/jpeg)
2013-06-18 06:11 PDT, Michal Stanke (Mozilla.cz) [:MikkCZ]
no flags Details
patch (1.64 KB, patch)
2013-06-19 09:20 PDT, Richard Marti (:Paenglab)
bwinton: review+
bwinton: ui‑review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review
pacing after TB restart (3.22 KB, image/png)
2013-07-17 09:08 PDT, Richard Marti (:Paenglab)
no flags Details

Description Michal Stanke (Mozilla.cz) [:MikkCZ] 2013-06-18 06:11:51 PDT
Created attachment 764124 [details]
screenshot

There is a plenty of space left on the right side of the main toolbar in TB. Look at the screenshot. When tabs are not drawn in titlebar (mail.tabs.drawInTitlebar = false), it's OK. 

This code (using Stylish) fixes that in Aero with Glass effect (=>tabs above the main toolbar):
#navigation-toolbox {
  margin-right: -110px;
}
#messengerWindow[sizemode="maximized"] #navigation-toolbox #tabs-toolbar {
  margin-right: 110px !important;
}

For Aero without Glass effect works (=>tabs under the main toolbar):
#messengerWindow #navigation-toolbox #tabs-toolbar {
  margin-right: -110px;
}

For Classic (WinXP-like) or High contrast (=>tabs under the main toolbar):
#messengerWindow #navigation-toolbox #tabs-toolbar {
  margin-right: -60px;
}
Comment 1 Richard Marti (:Paenglab) 2013-06-18 06:26:25 PDT
Is this the main toolbar or do you mean the menubar used as main toolbar? The main toolbar shouldn't have this space. If it's the menubar, I can add styles to let the space only on the topmost toolbar.
Comment 2 Michal Stanke (Mozilla.cz) [:MikkCZ] 2013-06-18 06:31:27 PDT
The toolbar with the menu (File, ...).

IMHO it seems to be more UI than theme issue. The menu/tabbar (which is below) shouldn't be right margined by the minimize/close buttons.

For WinXP it's the same.
Comment 3 :aceman 2013-06-19 07:37:41 PDT
Yes, I see this on Win XP too. I think linux too, but will have to check.

It does make sense when the Menu Bar is not shown as the buttons fit just before the main window buttons (minimize, close). But when the Menu Bar is shown, it is not necessary to reserve the space.
Comment 4 Richard Marti (:Paenglab) 2013-06-19 09:20:23 PDT
Created attachment 764817 [details] [diff] [review]
patch

This patch removes the space on all Windows systems except Aero from tabbar when the menubar above is always shown. When the menubar is autohiding then the space is left to not let the items on the tabbar jump.

On Aero, where the menubar is below the tabbar, the menubar has it's spacer always removed.
Comment 5 Michal Stanke (Mozilla.cz) [:MikkCZ] 2013-07-01 06:30:26 PDT
Can I ask, in which version will be the patch applied?
Comment 6 Richard Marti (:Paenglab) 2013-07-01 06:50:14 PDT
After review I can ask for approval for TB 17 ESR. Depending the release driver's decision it can land there or only in a later version.
Comment 7 Wayne Mery (:wsmwk, NI for questions) 2013-07-16 08:36:14 PDT
(In reply to Richard Marti [:Paenglab] from comment #6)
> After review I can ask for approval for TB 17 ESR. Depending the release
> driver's decision it can land there or only in a later version.

Perhaps not much point, with TB24 coming out in a couple months.
Comment 8 Blake Winton (:bwinton) (:☕️) 2013-07-17 07:49:18 PDT
Comment on attachment 764817 [details] [diff] [review]
patch

In classic/high-contrast mode, I think we could do with a little less space:
https://dl.dropboxusercontent.com/u/2301433/Screenshots/MenuSpace.png
but ui-r=me with that tightened up a little.  (If it's reasonably easy to do.  If it's hard, then skip it.)

And the code seems okay, so r=me, too.
Comment 9 Richard Marti (:Paenglab) 2013-07-17 09:08:52 PDT
Created attachment 777161 [details]
pacing after TB restart

(In reply to Blake Winton (:bwinton) from comment #8)
> Comment on attachment 764817 [details] [diff] [review]
> patch
> 
> In classic/high-contrast mode, I think we could do with a little less space:
> https://dl.dropboxusercontent.com/u/2301433/Screenshots/MenuSpace.png
> but ui-r=me with that tightened up a little.  (If it's reasonably easy to
> do.  If it's hard, then skip it.)

You switched directly from Basic/Aero theme to classic/high-contrast? Then I see the same. After TB restart the spacing is like in my screenshot.

TB calculates only at startup the (placeholder)spacer width of the caption buttons. When you started TB with Basic/Aero then the buttons are wider and by changing the theme the spacer stays at this width also with the smaller classic buttons. Restarting TB let it recalculate the correct width.
Comment 10 Ryan VanderMeulen [:RyanVM] 2013-07-18 07:49:24 PDT
https://hg.mozilla.org/comm-central/rev/17f6b3acfc77
Comment 11 Michal Stanke (Mozilla.cz) [:MikkCZ] 2013-07-20 13:38:59 PDT
So, will be this patch applied in next TB release (24), or only from 25?
Comment 12 Richard Marti (:Paenglab) 2013-07-20 13:42:02 PDT
Thanks to ask and remind me to set the approval request for TB 24.
Comment 13 Richard Marti (:Paenglab) 2013-07-20 13:45:35 PDT
Comment on attachment 764817 [details] [diff] [review]
patch

[Approval Request Comment]
This would help save space for buttons etc. also for ESR-24 users.
This is only a CSS patch so it should be really safe to not regress in a bad way.
Comment 14 Mark Banner (:standard8) 2013-07-23 04:35:33 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/512db0e46549
Comment 15 :aceman 2013-07-29 05:58:45 PDT
Works very nice on Win XP, TB25.

Note You need to log in before you can comment on or make changes to this bug.